#ifndef SERVERDATA_H
#define SERVERDATA_H

#include <string>
#include <iostream>
#include <cctype>
#include <ctype.h>
#include <fstream>

using namespace std;

class ServerData{
 public:
  ServerData();
  string getAudioList(string &folderRequest);
  string getVideoList(string &folderRequest);
  string getPictureList(string &folderRequest);
  string getFolderRequested(string &folderRequest, string &prefix);  
  string listFolder(string folder);
  int parseConfigFile();
  int getStringPair(string sLine, string &sOption, string &sValue);
  void removeSpaces(string &sSubject);
  string sAudioPath;
  string sVideoPath;
  string sPicturePath;
};

#endif
